"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getARBalanceEndpoint = getARBalanceEndpoint;
exports.getTxEndpoint = getTxEndpoint;
exports.getRendererEndpoint = getRendererEndpoint;
const utils_1 = require("./utils");
const arweaveEndpoint = 'https://arweave.net';
function getARBalanceEndpoint(walletAddress) {
    return `${arweaveEndpoint}/wallet/${walletAddress}/balance`;
}
function getTxEndpoint(txId) {
    return `${arweaveEndpoint}/${txId}`;
}
function getRendererEndpoint(renderWith, tx) {
    if ((0, utils_1.checkValidAddress)(renderWith)) {
        return `${arweaveEndpoint}/${renderWith}/?tx=${tx}`;
    }
    else {
        return `https://${renderWith}.arweave.net/?tx=${tx}`;
    }
}
//# sourceMappingURL=endpoints.js.map