"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createZone = createZone;
exports.updateZone = updateZone;
exports.getZone = getZone;
const ao_1 = require("../common/ao");
const config_1 = require("../helpers/config");
// TODO: Add to registry
function createZone(wallet, callback) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const zoneId = yield (0, ao_1.aoCreateProcess)({
                wallet: wallet,
                evalTxId: config_1.AO.src.zone,
            }, (status) => callback(status));
            return zoneId;
        }
        catch (e) {
            throw new Error(e);
        }
    });
}
function updateZone(args, wallet) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const mappedData = { entries: Object.entries(args.data).map(([key, value]) => ({ key, value })) };
            const zoneUpdateId = yield (0, ao_1.aoSend)({
                processId: args.zoneId,
                wallet: wallet,
                action: 'Update-Zone',
                data: mappedData
            });
            return zoneUpdateId;
        }
        catch (e) {
            throw new Error(e);
        }
    });
}
function getZone(zoneId) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const processState = yield (0, ao_1.aoDryRun)({
                processId: zoneId,
                action: 'Info',
            });
            return processState;
        }
        catch (e) {
            throw new Error(e);
        }
    });
}
//# sourceMappingURL=zones.js.map